Summary: A library for supporting Open Financial Exchange (OFX)
Name: libofx
Version: 0.10.9
Release:    1%{?dist}
URL: https://github.com/libofx/libofx
License: GPL-2.0-or-later
Source0: %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0: fix-ftbfs-gcc4.7.diff
BuildRequires: gcc-c++
BuildRequires: opensp-devel
BuildRequires: curl-devel
BuildRequires: libxml++-devel
BuildRequires: make
BuildRequires: cmake

%description
This is the LibOFX library.  It is a API designed to allow applications to
very easily support OFX command responses, usually provided by financial
institutions.  See http://www.ofx.net/ofx/default.asp for details and
specification. 

%package -n ofx
Summary: Tools for manipulating OFX data
Requires: %{name} = %{version}-%{release}

%description -n ofx
The ofx package contains tools for manipulating OFX data from the
command line; they are often used when testing libofx.

%package devel
Summary: Development files needed for accessing OFX data
Requires: %{name} = %{version}-%{release}

%description devel
The libofx-devel contains the header files and libraries necessary
for building applications that use libofx.

%prep
%setup -q
%patch0 -p1 -b .gcc47

chmod 644 ./doc/ofx_sample_files/*

%build
%cmake -DCMAKE_INSTALL_LIBDIR=%{_lib}
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_libdir}/lib*.la %{buildroot}%{_datadir}/doc


%files
%doc AUTHORS COPYING ChangeLog NEWS README totest.txt
%{_libdir}/libofx.so.7*
%{_datadir}/libofx/

%files -n ofx
%{_bindir}/ofx*

%files devel
%doc doc/ofx_sample_files
%{_includedir}/libofx/
%{_libdir}/pkgconfig/libofx.pc
%{_libdir}/libofx.so
%{_libdir}/cmake/%{name}/

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.9-1
- initial build
